// Flushable.hpp

#ifndef BRYNHILD_IO_FLUSHABLE_HPP
#define BRYNHILD_IO_FLUSHABLE_HPP

#include "IOException.hpp"

namespace brynhild {
namespace io {

class Flushable {
public:
    virtual ~Flushable() {}

    // Pure virtual function to flush the stream
    virtual void flush() = 0;
};

} // namespace io
} // namespace brynhild

#endif // BRYNHILD_IO_FLUSHABLE_HPP
